=== LAPACKE/src/CMakeLists.txt ===
set(SOURCES
lapacke_cbbcsd.c
lapacke_cbbcsd_work.c
lapacke_cbdsqr.c
lapacke_cbdsqr_work.c
lapacke_cgbbrd.c
lapacke_cgbbrd_work.c
lapacke_cgbcon.c
lapacke_cgbcon_work.c
lapacke_cgbequ.c
lapacke_cgbequ_work.c
lapacke_cgbequb.c
lapacke_cgbequb_work.c
lapacke_cgbrfs.c
lapacke_cgbrfs_work.c
lapacke_cgbsv.c
lapacke_cgbsv_work.c
lapacke_cgbsvx.c
lapacke_cgbsvx_work.c
lapacke_cgbtrf.c
lapacke_cgbtrf_work.c
lapacke_cgbtrs.c
lapacke_cgbtrs_work.c
lapacke_cgebak.c
lapacke_cgebak_work.c
lapacke_cgebal.c
lapacke_cgebal_work.c
lapacke_cgebrd.c
lapacke_cgebrd_work.c
lapacke_cgecon.c
lapacke_cgecon_work.c
lapacke_cgeequ.c
lapacke_cgeequ_work.c
lapacke_cgeequb.c
lapacke_cgeequb_work.c
lapacke_cgees.c
lapacke_cgees_work.c
lapacke_cgeesx.c
lapacke_cgeesx_work.c
lapacke_cgeev.c
lapacke_cgeev_work.c
lapacke_cgeevx.c
lapacke_cgeevx_work.c
lapacke_cgehrd.c
lapacke_cgehrd_work.c
lapacke_cgejsv.c
lapacke_cgejsv_work.c
lapacke_cgelq.c
lapacke_cgelq_work.c
lapacke_cgelq2.c
lapacke_cgelq2_work.c
lapacke_cgelqf.c
lapacke_cgelqf_work.c
lapacke_cgels.c
lapacke_cgels_work.c
lapacke_cgelsd.c
lapacke_cgelsd_work.c
lapacke_cgelss.c
lapacke_cgelss_work.c
lapacke_cgelsy.c
lapacke_cgelsy_work.c
lapacke_cgemlq.c
lapacke_cgemlq_work.c
lapacke_cgemqr.c
lapacke_cgemqr_work.c
lapacke_cgemqrt.c
lapacke_cgemqrt_work.c
lapacke_cgeqlf.c
lapacke_cgeqlf_work.c
lapacke_cgeqp3.c
lapacke_cgeqp3_work.c
lapacke_cgeqr.c
lapacke_cgeqr_work.c
lapacke_cgeqr2.c
lapacke_cgeqr2_work.c
lapacke_cgeqrf.c
lapacke_cgeqrf_work.c
lapacke_cgeqrfp.c
lapacke_cgeqrfp_work.c
lapacke_cgeqrt.c
lapacke_cgeqrt2.c
lapacke_cgeqrt2_work.c
lapacke_cgeqrt3.c
lapacke_cgeqrt3_work.c
lapacke_cgeqrt_work.c
lapacke_cgerfs.c
lapacke_cgerfs_work.c
lapacke_cgerqf.c
lapacke_cgerqf_work.c
lapacke_cgesdd.c
lapacke_cgesdd_work.c
lapacke_cgesv.c
lapacke_cgesv_work.c
lapacke_cgesvd.c
lapacke_cgesvd_work.c
lapacke_cgesvdx.c
lapacke_cgesvdx_work.c
lapacke_cgesvj.c
lapacke_cgesvj_work.c
lapacke_cgesvx.c
lapacke_cgesvx_work.c
lapacke_cgetf2.c
lapacke_cgetf2_work.c
lapacke_cgetrf.c
lapacke_cgetrf_work.c
lapacke_cgetrf2.c
lapacke_cgetrf2_work.c
lapacke_cgetri.c
lapacke_cgetri_work.c
lapacke_cgetrs.c
lapacke_cgetrs_work.c
lapacke_cgetsls.c
lapacke_cgetsls_work.c
lapacke_cggbak.c
lapacke_cggbak_work.c
lapacke_cggbal.c
lapacke_cggbal_work.c
lapacke_cgges.c
lapacke_cgges_work.c
lapacke_cgges3.c
lapacke_cgges3_work.c
lapacke_cggesx.c
lapacke_cggesx_work.c
lapacke_cggev.c
lapacke_cggev_work.c
lapacke_cggev3.c
lapacke_cggev3_work.c
lapacke_cggevx.c
lapacke_cggevx_work.c
lapacke_cggglm.c
lapacke_cggglm_work.c
lapacke_cgghrd.c
lapacke_cgghrd_work.c
lapacke_cgghd3.c
lapacke_cgghd3_work.c
lapacke_cgglse.c
lapacke_cgglse_work.c
lapacke_cggqrf.c
lapacke_cggqrf_work.c
lapacke_cggrqf.c
lapacke_cggrqf_work.c
lapacke_cggsvd3.c
lapacke_cggsvd3_work.c
lapacke_cggsvp3.c
lapacke_cggsvp3_work.c
lapacke_cgtcon.c
lapacke_cgtcon_work.c
lapacke_cgtrfs.c
lapacke_cgtrfs_work.c
lapacke_cgtsv.c
lapacke_cgtsv_work.c
lapacke_cgtsvx.c
lapacke_cgtsvx_work.c
lapacke_cgttrf.c
lapacke_cgttrf_work.c
lapacke_cgttrs.c
lapacke_cgttrs_work.c
lapacke_chbev.c
lapacke_chbev_work.c
lapacke_chbevd.c
lapacke_chbevd_work.c
lapacke_chbevx.c
lapacke_chbevx_work.c
lapacke_chbev_2stage.c
lapacke_chbev_2stage_work.c
lapacke_chbevd_2stage.c
lapacke_chbevd_2stage_work.c
lapacke_chbevx_2stage.c
lapacke_chbevx_2stage_work.c
lapacke_chbgst.c
lapacke_chbgst_work.c
lapacke_chbgv.c
lapacke_chbgv_work.c
lapacke_chbgvd.c
lapacke_chbgvd_work.c
lapacke_chbgvx.c
lapacke_chbgvx_work.c
lapacke_chbtrd.c
lapacke_chbtrd_work.c
lapacke_checon.c
lapacke_checon_work.c
lapacke_checon_3.c
lapacke_checon_3_work.c
lapacke_cheequb.c
lapacke_cheequb_work.c
lapacke_cheev.c
lapacke_cheev_work.c
lapacke_cheevd.c
lapacke_cheevd_work.c
lapacke_cheevr.c
lapacke_cheevr_work.c
lapacke_cheevx.c
lapacke_cheevx_work.c
lapacke_cheev_2stage.c
lapacke_cheev_2stage_work.c
lapacke_cheevd_2stage.c
lapacke_cheevd_2stage_work.c
lapacke_cheevr_2stage.c
lapacke_cheevr_2stage_work.c
lapacke_cheevx_2stage.c
lapacke_cheevx_2stage_work.c
lapacke_chegst.c
lapacke_chegst_work.c
lapacke_chegv.c
lapacke_chegv_work.c
lapacke_chegv_2stage.c
lapacke_chegv_2stage_work.c
lapacke_chegvd.c
lapacke_chegvd_work.c
lapacke_chegvx.c
lapacke_chegvx_work.c
lapacke_cherfs.c
lapacke_cherfs_work.c
lapacke_chesv.c
lapacke_chesv_work.c
lapacke_chesv_aa.c
lapacke_chesv_aa_work.c
lapacke_chesv_rk.c
lapacke_chesv_rk_work.c
lapacke_chesvx.c
lapacke_chesvx_work.c
lapacke_cheswapr.c
lapacke_cheswapr_work.c
lapacke_chetrd.c
lapacke_chetrd_work.c
lapacke_chetrf.c
lapacke_chetrf_rook.c
lapacke_chetrf_work.c
lapacke_chetrf_rook_work.c
lapacke_chetrf_aa.c
lapacke_chetrf_aa_work.c
lapacke_chetrf_rk.c
lapacke_chetrf_rk_work.c
lapacke_chetri.c
lapacke_chetri2.c
lapacke_chetri2_work.c
lapacke_chetri_3.c
lapacke_chetri_3_work.c
lapacke_chetri2x.c
lapacke_chetri2x_work.c
lapacke_chetri_work.c
lapacke_chetrs.c
lapacke_chetrs_rook.c
lapacke_chetrs2.c
lapacke_chetrs2_work.c
lapacke_chetrs_work.c
lapacke_chetrs_rook_work.c
lapacke_chetrs_aa.c
lapacke_chetrs_aa_work.c
lapacke_chetrs_3.c
lapacke_chetrs_3_work.c
lapacke_chfrk.c
lapacke_chfrk_work.c
lapacke_chgeqz.c
lapacke_chgeqz_work.c
lapacke_chpcon.c
lapacke_chpcon_work.c
lapacke_chpev.c
lapacke_chpev_work.c
lapacke_chpevd.c
lapacke_chpevd_work.c
lapacke_chpevx.c
lapacke_chpevx_work.c
lapacke_chpgst.c
lapacke_chpgst_work.c
lapacke_chpgv.c
lapacke_chpgv_work.c
lapacke_chpgvd.c
lapacke_chpgvd_work.c
lapacke_chpgvx.c
lapacke_chpgvx_work.c
lapacke_chprfs.c
lapacke_chprfs_work.c
lapacke_chpsv.c
lapacke_chpsv_work.c
lapacke_chpsvx.c
lapacke_chpsvx_work.c
lapacke_chptrd.c
lapacke_chptrd_work.c
lapacke_chptrf.c
lapacke_chptrf_work.c
lapacke_chptri.c
lapacke_chptri_work.c
lapacke_chptrs.c
lapacke_chptrs_work.c
lapacke_chsein.c
lapacke_chsein_work.c
lapacke_chseqr.c
lapacke_chseqr_work.c
lapacke_clacgv.c
lapacke_clacgv_work.c
lapacke_clacn2.c
lapacke_clacn2_work.c
lapacke_clacp2.c
lapacke_clacp2_work.c
lapacke_clacpy.c
lapacke_clacpy_work.c
lapacke_clag2z.c
lapacke_clag2z_work.c
lapacke_clange.c
lapacke_clange_work.c
lapacke_clanhe.c
lapacke_clanhe_work.c
lapacke_clansy.c
lapacke_clansy_work.c
lapacke_clantr.c
lapacke_clantr_work.c
lapacke_clapmr.c
lapacke_clapmr_work.c
lapacke_clapmt.c
lapacke_clapmt_work.c
lapacke_clarfb.c
lapacke_clarfb_work.c
lapacke_clarfg.c
lapacke_clarfg_work.c
lapacke_clarft.c
lapacke_clarft_work.c
lapacke_clarfx.c
lapacke_clarfx_work.c
lapacke_clarnv.c
lapacke_clarnv_work.c
lapacke_clascl.c
lapacke_clascl_work.c
lapacke_claset.c
lapacke_claset_work.c
lapacke_classq.c
lapacke_classq_work.c
lapacke_claswp.c
lapacke_claswp_work.c
lapacke_clauum.c
lapacke_clauum_work.c
lapacke_cpbcon.c
lapacke_cpbcon_work.c
lapacke_cpbequ.c
lapacke_cpbequ_work.c
lapacke_cpbrfs.c
lapacke_cpbrfs_work.c
lapacke_cpbstf.c
lapacke_cpbstf_work.c
lapacke_cpbsv.c
lapacke_cpbsv_work.c
lapacke_cpbsvx.c
lapacke_cpbsvx_work.c
lapacke_cpbtrf.c
lapacke_cpbtrf_work.c
lapacke_cpbtrs.c
lapacke_cpbtrs_work.c
lapacke_cpftrf.c
lapacke_cpftrf_work.c
lapacke_cpftri.c
lapacke_cpftri_work.c
lapacke_cpftrs.c
lapacke_cpftrs_work.c
lapacke_cpocon.c
lapacke_cpocon_work.c
lapacke_cpoequ.c
lapacke_cpoequ_work.c
lapacke_cpoequb.c
lapacke_cpoequb_work.c
lapacke_cporfs.c
lapacke_cporfs_work.c
lapacke_cposv.c
lapacke_cposv_work.c
lapacke_cposvx.c
lapacke_cposvx_work.c
lapacke_cpotrf.c
lapacke_cpotrf_work.c
lapacke_cpotrf2.c
lapacke_cpotrf2_work.c
lapacke_cpotri.c
lapacke_cpotri_work.c
lapacke_cpotrs.c
lapacke_cpotrs_work.c
lapacke_cppcon.c
lapacke_cppcon_work.c
lapacke_cppequ.c
lapacke_cppequ_work.c
lapacke_cpprfs.c
lapacke_cpprfs_work.c
lapacke_cppsv.c
lapacke_cppsv_work.c
lapacke_cppsvx.c
lapacke_cppsvx_work.c
lapacke_cpptrf.c
lapacke_cpptrf_work.c
lapacke_cpptri.c
lapacke_cpptri_work.c
lapacke_cpptrs.c
lapacke_cpptrs_work.c
lapacke_cpstrf.c
lapacke_cpstrf_work.c
lapacke_cptcon.c
lapacke_cptcon_work.c
lapacke_cpteqr.c
lapacke_cpteqr_work.c
lapacke_cptrfs.c
lapacke_cptrfs_work.c
lapacke_cptsv.c
lapacke_cptsv_work.c
lapacke_cptsvx.c
lapacke_cptsvx_work.c
lapacke_cpttrf.c
lapacke_cpttrf_work.c
lapacke_cpttrs.c
lapacke_cpttrs_work.c
lapacke_cspcon.c
lapacke_cspcon_work.c
lapacke_csprfs.c
lapacke_csprfs_work.c
lapacke_cspsv.c
lapacke_cspsv_work.c
lapacke_cspsvx.c
lapacke_cspsvx_work.c
lapacke_csptrf.c
lapacke_csptrf_work.c
lapacke_csptri.c
lapacke_csptri_work.c
lapacke_csptrs.c
lapacke_csptrs_work.c
lapacke_cstedc.c
lapacke_cstedc_work.c
lapacke_cstegr.c
lapacke_cstegr_work.c
lapacke_cstein.c
lapacke_cstein_work.c
lapacke_cstemr.c
lapacke_cstemr_work.c
lapacke_csteqr.c
lapacke_csteqr_work.c
lapacke_csycon.c
lapacke_csycon_work.c
lapacke_csycon_3.c
lapacke_csycon_3_work.c
lapacke_csyconv.c
lapacke_csyconv_work.c
lapacke_csyequb.c
lapacke_csyequb_work.c
lapacke_csyrfs.c
lapacke_csyrfs_work.c
lapacke_csysv.c
lapacke_csysv_rook.c
lapacke_csysv_rook_work.c
lapacke_csysv_work.c
lapacke_csysv_aa.c
lapacke_csysv_aa_work.c
lapacke_csysv_rk.c
lapacke_csysv_rk_work.c
lapacke_csysvx.c
lapacke_csysvx_work.c
lapacke_csyswapr.c
lapacke_csyswapr_work.c
lapacke_csytrf.c
lapacke_csytrf_work.c
lapacke_csytrf_rook.c
lapacke_csytrf_rook_work.c
lapacke_csytrf_aa.c
lapacke_csytrf_aa_work.c
lapacke_csytrf_rk.c
lapacke_csytrf_rk_work.c
lapacke_csytri.c
lapacke_csytri2.c
lapacke_csytri2_work.c
lapacke_csytri_3.c
lapacke_csytri_3_work.c
lapacke_csytri2x.c
lapacke_csytri2x_work.c
lapacke_csytri_work.c
lapacke_csytrs.c
lapacke_csytrs_rook.c
lapacke_csytrs2.c
lapacke_csytrs2_work.c
lapacke_csytrs_work.c
lapacke_csytrs_rook_work.c
lapacke_csytrs_aa.c
lapacke_csytrs_aa_work.c
lapacke_csytrs_3.c
lapacke_csytrs_3_work.c
lapacke_ctbcon.c
lapacke_ctbcon_work.c
lapacke_ctbrfs.c
lapacke_ctbrfs_work.c
lapacke_ctbtrs.c
lapacke_ctbtrs_work.c
lapacke_ctfsm.c
lapacke_ctfsm_work.c
lapacke_ctftri.c
lapacke_ctftri_work.c
lapacke_ctfttp.c
lapacke_ctfttp_work.c
lapacke_ctfttr.c
lapacke_ctfttr_work.c
lapacke_ctgevc.c
lapacke_ctgevc_work.c
lapacke_ctgexc.c
lapacke_ctgexc_work.c
lapacke_ctgsen.c
lapacke_ctgsen_work.c
lapacke_ctgsja.c
lapacke_ctgsja_work.c
lapacke_ctgsna.c
lapacke_ctgsna_work.c
lapacke_ctgsyl.c
lapacke_ctgsyl_work.c
lapacke_ctpcon.c
lapacke_ctpcon_work.c
lapacke_ctpmqrt.c
lapacke_ctpmqrt_work.c
lapacke_ctpqrt.c
lapacke_ctpqrt2.c
lapacke_ctpqrt2_work.c
lapacke_ctpqrt_work.c
lapacke_ctprfb.c
lapacke_ctprfb_work.c
lapacke_ctprfs.c
lapacke_ctprfs_work.c
lapacke_ctptri.c
lapacke_ctptri_work.c
lapacke_ctptrs.c
lapacke_ctptrs_work.c
lapacke_ctpttf.c
lapacke_ctpttf_work.c
lapacke_ctpttr.c
lapacke_ctpttr_work.c
lapacke_ctrcon.c
lapacke_ctrcon_work.c
lapacke_ctrevc.c
lapacke_ctrevc_work.c
lapacke_ctrexc.c
lapacke_ctrexc_work.c
lapacke_ctrrfs.c
lapacke_ctrrfs_work.c
lapacke_ctrsen.c
lapacke_ctrsen_work.c
lapacke_ctrsna.c
lapacke_ctrsna_work.c
lapacke_ctrsyl.c
lapacke_ctrsyl_work.c
lapacke_ctrtri.c
lapacke_ctrtri_work.c
lapacke_ctrtrs.c
lapacke_ctrtrs_work.c
lapacke_ctrttf.c
lapacke_ctrttf_work.c
lapacke_ctrttp.c
lapacke_ctrttp_work.c
lapacke_ctzrzf.c
lapacke_ctzrzf_work.c
lapacke_cunbdb.c
lapacke_cunbdb_work.c
lapacke_cuncsd.c
lapacke_cuncsd_work.c
lapacke_cuncsd2by1.c
lapacke_cuncsd2by1_work.c
lapacke_cungbr.c
lapacke_cungbr_work.c
lapacke_cunghr.c
lapacke_cunghr_work.c
lapacke_cunglq.c
lapacke_cunglq_work.c
lapacke_cungql.c
lapacke_cungql_work.c
lapacke_cungqr.c
lapacke_cungqr_work.c
lapacke_cungrq.c
lapacke_cungrq_work.c
lapacke_cungtr.c
lapacke_cungtr_work.c
lapacke_cunmbr.c
lapacke_cunmbr_work.c
lapacke_cunmhr.c
lapacke_cunmhr_work.c
lapacke_cunmlq.c
lapacke_cunmlq_work.c
lapacke_cunmql.c
lapacke_cunmql_work.c
lapacke_cunmqr.c
lapacke_cunmqr_work.c
lapacke_cunmrq.c
lapacke_cunmrq_work.c
lapacke_cunmrz.c
lapacke_cunmrz_work.c
lapacke_cunmtr.c
lapacke_cunmtr_work.c
lapacke_cupgtr.c
lapacke_cupgtr_work.c
lapacke_cupmtr.c
lapacke_cupmtr_work.c
lapacke_dbbcsd.c
lapacke_dbbcsd_work.c
lapacke_dbdsdc.c
lapacke_dbdsdc_work.c
lapacke_dbdsvdx.c
lapacke_dbdsvdx_work.c
lapacke_dbdsqr.c
lapacke_dbdsqr_work.c
lapacke_ddisna.c
lapacke_ddisna_work.c
lapacke_dgbbrd.c
lapacke_dgbbrd_work.c
lapacke_dgbcon.c
lapacke_dgbcon_work.c
lapacke_dgbequ.c
lapacke_dgbequ_work.c
