=== debian/changelog ===
lapack (3.7.1-4ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build with -O2 on ppc64el.
  * Dropped changes, included in Debian:
    - d/tests/lapack-testsuite: Depend on gcc, needed by dpkg-architecture.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 28 Nov 2017 11:24:00 -0800

lapack (3.7.1-4) unstable; urgency=low

  * Add gcc in the dependency list of {blas,lapack}-testsuite autopkgtests.
    This is needed by dpkg-architecture.
    Thanks to Matthias Klose (Closes: #875671)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 13 Sep 2017 22:50:38 +0200

lapack (3.7.1-3ubuntu2) artful; urgency=medium

  * d/tests/lapack-testsuite: Depend on gcc, needed by dpkg-architecture.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Sep 2017 08:49:00 +0200

lapack (3.7.1-3ubuntu1) artful; urgency=medium

  * Merge with Debian; remaining changes:
    - Build with -O2 on ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 12 Sep 2017 10:36:32 +0200

lapack (3.7.1-3) unstable; urgency=low

  * Move dh-exec from Build-Depends-Arch to Build-Depends.
    Fixes FTBFS when building only arch:all packages.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 09 Sep 2017 19:08:13 +0200

lapack (3.7.1-2) unstable; urgency=low

  [ Sébastien Villemot ]
  * Multi-archify the package.
    + drop package libblas-common, no longer needed
    + cblas.h is now included in the alternatives system (and installed under
      /usr/include/<multiarch>)
    + liblapack_pic.a is no longer in the alternatives system
    Thanks to Dima Kogan for his help (Closes: #770290)
  * d/control: remove unneeded dependency of liblapack-pic on liblapack3.
  * Drop the dependency of libblas-dev on gfortran. (Closes: #871967)
  * Bump packages from priority extra to optional, per policy 4.0.1.
  * Bump to Standards-Version 4.1.0.

  [ Dima Kogan ]
  * Using arch-specific compilers, binutils for cross-compiling.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 09 Sep 2017 10:21:44 +0200

lapack (3.7.1-1ubuntu4) artful; urgency=medium

  * Build with -O2 on ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Aug 2017 14:34:54 -0400

lapack (3.7.1-1) unstable; urgency=medium

  * New upstream version 3.7.1
  * d/copyright:
    + Reflect upstream changes.
    + Use secure URL for format.
  * d/p/test-numbering.patch: drop patch, applied upstream.
  * d/p/fix-typos.patch: former patch applied upstream, but new typos detected
    by lintian, so update the patch.
  * Drop stub files in manpages and HTML documentation.
    - d/p/doxygen-downsize.patch: new patch, disable EXTRACT_ALL in Doxygen.
    - d/p/doxygen-strips-source.patch: drop patch, merge with the former.
    (Closes: #852166)
  * Drop transitional package libblas-doc.
  * Merge liblapack-doc-man into liblapack-doc.
    Now that both packages are smaller, it makes sense to merge them.
    liblapack-doc-man is now a transitional package.
  * Ship README.md in liblapack-doc.
  * d/watch: bump to format version 4.
  * d/rules: add support for "nodoc" tag of DEB_BUILD_OPTIONS.
  * d/control:
    + Use canonical URL for Vcs-Browser.
    + Remove unnecessary versioned build-dep on dpkg-dev.
    + Use the new Build-Depends-Arch field.
    + Bump to Standards-Version 4.0.0.
    + Drop obsolete Breaks against liblapack3gf.
    + Mark liblapack-doc{,-man} as M-A foreign.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 04 Jul 2017 15:48:07 +0200
