=== debian/watch ===
version=4
http://www.netlib.org/lapack/ lapack-([\d\.]+)\.tgz
